<template>
  <div>
    <h1 class="mb-8">What type of skin do you have?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.text"
        :input-value="choice.text"
        v-model="radioSelected"
      >
        <div class="flex items-center justify-between">
          <span>{{ choice.text }}</span>
          <img width="60px" :src="choice.img" alt="image">
        </div>
      </radio-input>
    </div>
    <common-btn
      text="Next"
      @click="handleClick"
      :disabled="!radioSelected"
    />
  </div>
</template>

<script>
import {answersMixin, mainDataMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, mainDataMixin],
  name: "SkinAnalysis5",
  data() {
    return {
      choices: [
        {
          text: 'Very dry',
          img: require('@/assets/img/misc/very-dry.png')
        },
        {
          text: 'Often dry',
          img: require('@/assets/img/misc/often-dry.png')
        },
        {
          text: 'Combination',
          img: require('@/assets/img/misc/combination.png')
        },
        {
          text: 'Often oily',
          img: require('@/assets/img/misc/often-oily.png')
        },
        {
          text: 'Very oily',
          img: require('@/assets/img/misc/very-oily.png')
        },
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_5')
    }
  },
  methods: {
    handleClick() {
      if (this.userGender === 'Male') {
        this.$emit('goTo', 100)
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
